Subject: New Lepidopterists' Web Page

From: John Snyder <Snyder_John/[email-masked]>
Date: Tue, 23 Apr 1996 08:54:23 -0400

The Lepidopterists' Society invites you to visit its new WWW home page.
Point your Web browser to
                            http://www.furman.edu/~snyder/snyder/lep/

You will find much information about the society, which has members in
nearly every country.  The site includes descriptions of our
publications, guidelines for joining the Society, an invitation to our
upcoming annual meeting, etc.  Especially useful are dozens of links to
other Internet locations dealing with butterflies and moths.
Please visit our page!

John Snyder
Page administrator